/* $Id: KChartLinesPointsPainter.h,v 1.1 1998/05/27 11:41:16 kalle Exp $ */

#ifndef _KCHARTLINESPOINTSPAINTER_H
#define _KCHARTLINESPOINTSPAINTER_H

#include "KChartLinesPainter.h"
#include "KChartPointsPainter.h"

class KChart;
class QPainter;

class KChartLinesPointsPainter : public virtual KChartLinesPainter, 
								 virtual KChartPointsPainter
{
public:
  KChartLinesPointsPainter( KChart* chart );
  ~KChartLinesPointsPainter();

  virtual void drawData( QPainter* painter );
  virtual void drawLegendMarker( QPainter* painter, int number, int x, int y );

private:
};

#endif
